import { httpApi } from '../../request/httpApi'

export default {
    //获取巡检列表分页
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/page',
            method: 'get',
            params: form,
        }, msg)
    },
 
    //获取新增巡检任务
    async add(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/add',
            method: 'post',
            data: form,
        }, msg)
    },
    //修改巡检
    async update(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/Update',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async delete(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/delete',
            method: 'get',
            params: form,
        }, msg)
    },
    //提交整改记录
    async submitRectify(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/submitRectify',
            method: 'post',
            data: form,
        }, msg)
    },
    //整改记录分页
    async page2(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/page2',
            method: 'get',
            params: form,
        }, msg)
    },
    //复核检测
    async reviewInspect(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/reviewInspect',
            method: 'get',
            params: form,
        }, msg)
    },
    //撤回提交
    async revokeSubmit(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/revokeSubmit',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取巡检详情
    async detail(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/routingInspection/detail',
            method: 'get',
            params: form,
        }, msg)
    },
}
